aboutsummaryrefslogtreecommitdiff
path: root/multimedia/flash-player-standalone/flash-player-standalone.SlackBuild
diff options
context:
space:
mode:
authorHeinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 20:01:15 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:15 +0200
commitaf534824f7c878ff08c66925466ab506f037f8ab (patch)
tree7f6cc92c9c9c4fe8060b44e0a7920266b7ea5f5b /multimedia/flash-player-standalone/flash-player-standalone.SlackBuild
parent2f04f4ee24e14e523c1c31ed4decb0240376725b (diff)
multimedia/flash-player-standalone: Added to 12.0 repository
Diffstat (limited to 'multimedia/flash-player-standalone/flash-player-standalone.SlackBuild')
-rw-r--r--multimedia/flash-player-standalone/flash-player-standalone.SlackBuild60
1 files changed, 60 insertions, 0 deletions
diff --git a/multimedia/flash-player-standalone/flash-player-standalone.SlackBuild b/multimedia/flash-player-standalone/flash-player-standalone.SlackBuild
new file mode 100644
index 0000000000000..28ce2d37761d0
--- /dev/null
+++ b/multimedia/flash-player-standalone/flash-player-standalone.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for flash-player-standalone
+
+# Copyright 2007-2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=flash-player-standalone
+VERSION=9.0.124.0
+ARCH=i386
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/flash_player_9_linux_dev.tar.gz
+cd flash_player_9_linux_dev/standalone/release
+tar xvf flashplayer.tar.gz
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# This is repackaging of a binary plugin - no SLKCFLAGS required,
+# nor does anything need to be compiled
+mkdir -p $PKG/usr/bin
+install -m 0755 flashplayer $PKG/usr/bin/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp ../../README $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz